import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { FinalValueSelectionMode } from "./FinalValueSelectionMode";
import { Brush } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { FinalValueLayerFrame } from "./FinalValueLayerFrame";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationLayerView } from "./AnnotationLayerView";
/**
 * @hidden
 */
export declare class FinalValueLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    i2(a: SeriesView): void;
    protected nf: FinalValueLayerView;
    nh: Series;
    ng: FinalValueSelectionMode;
    oh: Brush;
    of: Brush;
    nq: number;
    og: Brush;
    readonly oj: Thickness;
    nm: number;
    no: number;
    nn: number;
    nl: number;
    axisAnnotationFormatLabel: (item: any) => string;
    ni(): boolean;
    np: number;
    protected mv(a: Series, b: boolean): void;
    protected mx(a: Frame, b: SeriesView): void;
    protected mi(a: Series): boolean;
    iw(): void;
    private oi;
    private n2;
    private nk;
    private nj;
    protected n3(a: FinalValueLayerFrame, b: boolean): void;
    protected m0(a: Frame, b: SeriesView): void;
    protected c8(): boolean;
    protected i7(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinalValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: FinalValueLayer);
    protected b1: FinalValueLayer;
    ap(): void;
    b2(a: Brush): Brush;
    ai(a: any): void;
}
